#include "FastAccelStepper.h"  //کتابخانه استپر
#include "AVRStepperPins.h" // این کتابخانه پایه ها برای بردهای مبتنی برا AVR را تعیین می کند.
//شماره پایه ها
#define dirPinStepper    5
#define enablePinStepper 6
#define stepPinStepper   9

FastAccelStepperEngine engine = FastAccelStepperEngine();  //ایجاد یک شی از کلاس کتابخانه 
FastAccelStepper *stepper = NULL;  //ایجاد یک شی جهت کنترل استپ های موتور

void setup() {
   engine.init();  //راه اندازی اولیه 
   stepper = engine.stepperConnectToPin(stepPinStepper);  //تعیین پین اتباطی 
   if (stepper) {
      stepper->setDirectionPin(dirPinStepper);  //تعیین جهت گردش
      stepper->setEnablePin(enablePinStepper);  //تعیین پین فعال سازی
      stepper->setAutoEnable(true);

      stepper->setSpeedInHz(500);       // تعیین فرکانس استپ بر ثانیه
      stepper->setAcceleration(100);    // تعیین شتاب در اینجا 100 استپ بر مجذور ثانیه است.
      stepper->move(1000);  //تعیین 1000 استپ
   }
}

void loop() {
}
